Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class UnitSphereRandomVectorGenerator

    java.lang.Object
      org.apache.commons.math.random.UnitSphereRandomVectorGenerator

All Implemented Interfaces:
  RandomVectorGenerator

    public class UnitSphereRandomVectorGenerator

extends Object
implements RandomVectorGenerator

Generate random vectors isotropically located on the surface of a sphere.

Since:
  2.1
Version:
  $Revision: 990655 $ $Date: 2010-08-29 23:49:40 +0200 (dim. 29 aoÃ»t 2010) $

Constructor Summary
`UnitSphereRandomVectorGenerator(int dimension)` Create an object that will use a default RNG (`MersenneTwister`), in order to generate the individual components.
`UnitSphereRandomVectorGenerator(int dimension, RandomGenerator rand)`

Method Summary
`double[]` | `nextVector()` Generate a random vector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnitSphereRandomVectorGenerator

    public UnitSphereRandomVectorGenerator(int dimension,
                                           RandomGenerator rand)

Parameters:
  `dimension` - Space dimension.
  `rand` - RNG for the individual components of the vectors.

### UnitSphereRandomVectorGenerator

    public UnitSphereRandomVectorGenerator(int dimension)

  Create an object that will use a default RNG (`MersenneTwister`), in order to generate the individual components.

  Parameters:
    `dimension` - Space dimension.

Method Detail

### nextVector

    public double[] nextVector()

  Generate a random vector.

  Specified by:
    `nextVector` in interface `RandomVectorGenerator`
  Returns:
    a random vector as an array of double.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.